package com.tourism.webadmin.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum MessageLimitType {


    /**
     * 是否到达条数限制
     * 0不限制
     * 1首发消息限制  对方关注过自己之前 或者自己已经发过一条消息且对方回复消息之前
     * 2踢出群聊发消息限制
     * 3群解散发消息限制
     * 4封禁群聊发消息限制
     */
    MESSAGE_LIMIT_NO(0,"不限制"),
    MESSAGE_LIMIT_FIRST_MESSAGE(1,"首发消息限制"),
    MESSAGE_LIMIT_KICK_OUT(2,"踢出群聊发消息限制"),
    MESSAGE_LIMIT_DISSOLVE(3,"群解散发消息限制"),
    MESSAGE_LIMIT_BANNED(4,"封禁群聊发消息限制");

    private Integer code;
    private String messageLimitType;
}
